/*
 *  $Id: extended_type.h,v 1.4 1998/12/03 17:22:52 nick Exp $
 *
 *  $Log: extended_type.h,v $
 *  Revision 1.4  1998/12/03 17:22:52  nick
 *  add promote_value
 *
 *  Revision 1.3  1998/09/21 14:22:33  nick
 *  Add extra type promotion functions.
 *
 *  Revision 1.2  1998/08/12 08:52:49  nick
 *  Checkpoint
 *
 *  Revision 1.1  1998/05/08 08:54:56  nick
 *  Initial revision
 *
 *
 */

#ifndef _EXTENDED_TYPE
#define _EXTENDED_TYPE

#include "validate.h"

void extract_extended_type( void * node, struct validate_arg * va, 
    ColumnDataType * ex_type );
int get_base_type( int );
int get_extended_type_info( ColumnDataType * dt, int type );
int promote_operation( ColumnDataType *lcdt, ColumnDataType *rcdt, int op, ColumnDataType *cdt );
int promote_operation_type( int ltype, int rtype, int op );
Value *promote_value( Value *value, ColumnDataType *cdt, void *ea );

#endif
