/*
 *  $Id: list.h,v 1.2 2000/02/01 17:21:20 martin Exp $
 *
 *  $Log: list.h,v $
 *  Revision 1.2  2000/02/01 17:21:20  martin
 *  Add ListDelete.
 *
 *  Revision 1.1  1998/05/08 08:54:56  nick
 *  Initial revision
 *
 *
 */

#ifndef LIST_H
#define LIST_H

typedef void * LIST;
typedef void * LISTITERATOR;

LIST ListAppend( void *, void *, void * );
void ListEnumerate( LIST, void (*)( void *, void *, int ), void * );
int ListCount( void * );
LISTITERATOR ListFirst( LIST );
LISTITERATOR ListNext( LISTITERATOR );
LISTITERATOR ListLast( LIST );
LISTITERATOR ListPrior( LISTITERATOR );
LISTITERATOR ListDelete( LIST, LISTITERATOR, void * );
void * ListData( LISTITERATOR );
LIST ListMerge( void *, void * );
void ListRewrite( LISTITERATOR, void * data );

#endif
